Bug 824413 - (CVE-2012-2393) CVE-2012-2393 wireshark: Memory allocation flaw in the DIAMETER dissector (wnpa-sec-2012-09)
CVE-2012-2393 wireshark: Memory allocation flaw in the DIAMETER dissector (wn...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120521,reported=2...
: Security
Depends On: 824426
Blocks: 824434
  Show dependency treegraph
 
Reported: 2012-05-23 08:26 EDT by Jan Lieskovsky
Modified: 2016-11-08 10:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 17:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-23 08:26:53 EDT
A memory allocation flaw was found in the DIAMETER dissector of Wireshark:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7138

A remote attacker could provide a specially-crafted packet capture file, which once opened in Wireshark could lead to denial of service (wireshark executable crash).

Upstream advisory:
[2] http://www.wireshark.org/security/wnpa-sec-2012-09.html
Comment 1 Jan Lieskovsky 2012-05-23 08:58:33 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 824426]
Comment 2 Jan Lieskovsky 2012-05-23 08:59:01 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/05/23/10
Comment 3 Kurt Seifried 2012-05-23 14:19:46 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/05/23/17
Comment 4 Huzaifa S. Sidhpurwala 2012-05-30 01:03:32 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.